function [] = ABRASION(Directory)
close all
clc
%% ABRASION RIG FRICTION v.1
%NB: This version of the script can only handle up to 4 .txt files
%% Set Up

% - Script is stored in the preciding folder of the data which will be
% analysed.
% - Data must be logged in Hz.

%% Instructions

% 1) Open .txt file from Isabrasive-v3 with an editor of choise
% 2) Replace all ',' with '.'
% 3) Delete titles
% 4) Save .txt file as 'data*'; where * is 1,2,3...,n-files
% 5) Drag .txt file to Matlab Workspace
% 6) Import as Matrix (.mat)
% 7) Create folder named after the sample (only sperate with _ or -)
% 8) Save .mat file
% 9) Repeat for all .txt files

%% Data Import

cd(sprintf('%s',Directory))                                                       

currentDirectory = pwd ;
[upperPath, str, ~] = fileparts(currentDirectory) ;

files = dir('*.mat');
for nm=1:length(files);
    load(['data',num2str(nm),'.mat']);
end

cd ../

%% Data Compilation

% num*(:,1) = Log Time [s]
% num*(:,2) = Friction Hz
% num*(:,3) = Horizontal Position Hz
% num*(:,4) = Load [N]
% num*(:,5) = Room Temperatrue [C]

% If additional columns are needed, add line for each for-loop.
count = 1;

if nm >= count ;
        
num1 = zeros(length(data1),3);
for i=1:length(data1);
    num1(i,1) = data1(i,3);
    num1(i,2) = data1(i,16);
    num1(i,3) = data1(i,6);
    num1(i,4) = data1(i,9);
    num1(i,5) = data1(i,25);
end


DATA = num1;

end

count = count+1;
 
if nm >= count ;
    
num2 = zeros(length(data2),3);
for i=1:length(data2);
    num2(i,1) = data2(i,3) +  num1(length(num1),1);
    num2(i,2) = data2(i,16);
    num2(i,3) = data2(i,6);
    num2(i,4) = data2(i,9);
    num2(i,5) = data2(i,25);
end

DATA(length(num1)+1:length(num1)+length(num2),1) = num2(:,1);
DATA(length(num1)+1:length(num1)+length(num2),2) = num2(:,2);
DATA(length(num1)+1:length(num1)+length(num2),3) = num2(:,3);
DATA(length(num1)+1:length(num1)+length(num2),4) = num2(:,4);
DATA(length(num1)+1:length(num1)+length(num2),5) = num2(:,5);

end 

count = count+1;

if nm >= count ;
    
num3 = zeros(length(data3),3);
for i=1:length(data3)
    num3(i,1) = data3(i,3) + num2(length(num2),1);
    num3(i,2) = data3(i,16);
    num3(i,3) = data3(i,6);
    num3(i,4) = data3(i,9);
    num3(i,5) = data3(i,25);
end

DATA(length(num1)+length(num2)+1:length(num1)+length(num2)+length(num3),1) = num3(:,1);
DATA(length(num1)+length(num2)+1:length(num1)+length(num2)+length(num3),2) = num3(:,2);
DATA(length(num1)+length(num2)+1:length(num1)+length(num2)+length(num3),3) = num3(:,3);
DATA(length(num1)+length(num2)+1:length(num1)+length(num2)+length(num3),4) = num3(:,4);
DATA(length(num1)+length(num2)+1:length(num1)+length(num2)+length(num3),5) = num3(:,5);

end

count = count+1;

if nm >= count ;
    
num4 = zeros(length(data4),3);
for i=1:length(data4)
    num4(i,1) = data4(i,3) + num3(length(num3),1);
    num4(i,2) = data4(i,16);
    num4(i,3) = data4(i,6);
    num4(i,4) = data4(i,9);
    num4(i,5) = data4(i,25);
end

DATA(length(num1)+length(num2)+length(num3)+1:length(num1)+length(num2)+length(num3)+length(num4),1) = num4(:,1);
DATA(length(num1)+length(num2)+length(num3)+1:length(num1)+length(num2)+length(num3)+length(num4),2) = num4(:,2);
DATA(length(num1)+length(num2)+length(num3)+1:length(num1)+length(num2)+length(num3)+length(num4),3) = num4(:,3);
DATA(length(num1)+length(num2)+length(num3)+1:length(num1)+length(num2)+length(num3)+length(num4),4) = num4(:,4);
DATA(length(num1)+length(num2)+length(num3)+1:length(num1)+length(num2)+length(num3)+length(num4),5) = num4(:,5);

end

x = DATA(:,1);      % Log Time [s]
y1 = DATA(:,2);     % Friction [Hz]
y2 = DATA(:,3);     % Horizontal Position [Hz]
F = DATA(:,4)/1000; % Load [kN]
T = DATA(:,5);      % Tempereature [C]

%% FRITION: Figure Handling and Interval Selection
figure('name','Postion and Friction','Units','centimeters','position',[5 5 35 18]);
[AX, L1, L2] = plotyy(x,y1,x,y2);

title(str,'FontSize',25)
xlabel('Time (sec.)','FontSize',25) 
set(get(AX(1),'Ylabel'),'String','Friction Coef.','FontSize',25) 
set(get(AX(2),'Ylabel'),'String','Hor. Position (mm)','FontSize',25)

set(AX(1), 'ylim', [-0.3 0.3])                 % Handle 'Friction coef.' Axis
set(AX(2), 'ylim', [min(y2)-5 max(y2)+5])      % Handle 'Hor. Pos.' Axis
set(AX(1), 'xlim', [0 max(x)])                 % Handle X-Axis
set(AX(2), 'xlim', [0 max(x)])

set(AX(1),'YTick',-0.3:0.1:0.3,'FontSize',20)  % Handle 'Friction coef.' Ticks
set(AX(2),'YTick',-120:20:100,'FontSize',20)   % Handle 'Hor. Pos.' Ticks

set(AX(1),'XTick',600:600:length(x),'XTickLabel',[600:600:length(x)]/60) 
set(AX(2),'XTick',600:600:length(x),'XTickLabel',[600:600:length(x)]/60)
set(L2,'LineStyle',':')                        % Choose 'Friction coef.' Linestyle

set(gcf,'Color',[1 1 1])                       % Backgraound color

% Select Intervals
f1=gcf;
f2=figure('name','After 30 min','Units','centimeters','position',[5 5 29 18]);
copyobj(get(f1,'children'),f2);

hf = get(gcf,'Children');
set(hf,'xlim', [1800 1825],'XTick',1:10:length(x),'XTickLabel',1:10:length(x)) 
h_str=get(hf(2),'Title');
title_30 = strcat(str,{'; after 30 min of ice sliding'});
set(h_str,'String',title_30); 

set(gcf,'Color',[1 1 1]) 

% Next Interval
f3=figure('name','After 1 hour','Units','centimeters','position',[5 5 29 18]);
copyobj(get(f1,'children'),f3);

hf = get(gcf,'Children');
set(hf,'xlim', [3600 3625],'XTick',1:10:length(x),'XTickLabel',1:10:length(x)) 
h_str=get(hf(2),'Title');
title_60 = strcat(str,{'; after 1 hour of ice sliding'});
set(h_str,'String',title_60);

set(gcf,'Color',[1 1 1]) 

% Next Interval
f4=figure('name','After 2 hour','Units','centimeters','position',[5 5 29 18]);
copyobj(get(f1,'children'),f4);

hf = get(gcf,'Children');
set(hf,'xlim', [7200 7225],'XTick',1:10:length(x),'XTickLabel',1:10:length(x)) 
h_str=get(hf(2),'Title');
title_120 = strcat(str,{'; after 2 hour of ice sliding'});
set(h_str,'String',title_120); 

set(gcf,'Color',[1 1 1])

%Only Friction vs. Time
f5=figure('name','Friciton','Units','centimeters','position',[5 5 35 18]);
plot(x,y1)
xlabel('Time (sec.)','FontSize',25) 
ylabel('Friction coef.','FontSize',25)
title_friction = strcat(str,{'- Friction coef. Full Test'});
title(title_friction,'FontSize',25)
axis([0 max(x) -0.5 0.5])
xlabel('Time (min.)','FontSize',25) 
set(gcf,'Color',[1 1 1])
set(gca, 'XTickLabel',[600:600:length(x)]/60, 'XTick',600:600:length(x),'FontSize',20, 'YTick',-0.5:.1:0.5)

%% LOAD
Mean_P = sprintf('%.2f',mean(F)*1000/4231.4);
f6=figure('name','Load','Units','centimeters','position',[5 5 35 22]);
plot(x,F)
xlabel('Time (min.)','FontSize',25) 
ylabel('Load [kN]','FontSize',25)
title_load = strcat(str,{'- Load vs. Time'});
title([title_load ; sprintf('%s','Mean Contact Pressure: ', num2str(Mean_P),' MPa')],'FontSize',25)
axis([0 max(x) min(F)+3 max(F)+0.5])

set(gcf,'Color',[1 1 1])
set(gca, 'XTickLabel',[600:600:length(x)]/60, 'XTick',600:600:length(x),'FontSize',20)


%% Air Temperature
Mean_T = sprintf('%.2f',mean(T));

f7=figure('name','Temperature','Units','centimeters','position',[5 5 35 22]);
plot(x(1:200:end),T(1:200:end),'LineWidth',3) %plot each minute
xlabel('Time (min.)','FontSize',25) 
ylabel('Temperature [^{\circ}C]','FontSize',25)
title_temp = strcat(str,{'- Room Temperature vs. Time'});
title([title_temp,; sprintf('%s','Mean Temperature: ', num2str(Mean_T),' ^{\circ}C')],'FontSize',25)
axis([0 max(x) -12 0])

set(gca, 'XTickLabel',[600:600:length(x)]/60, 'XTick',600:600:length(x),'FontSize',20)
set(gcf,'Color',[1 1 1]) 

%% Figure Export

% In order to auto-save figures; download export_fig from:
% http://www.mathworks.com/matlabcentral/fileexchange/23629-exportfig
% Change directory to where the export_fig folder is located


end