clc
close all
clear all

load('AbrRateResult.mat')



for i=1:length(AbrasionRateResultsAllSamples(:,1));
    abrrateM1(i,1)=cell2mat(AbrasionRateResultsAllSamples(i,2));
    StdM1(i,1)=cell2mat(AbrasionRateResultsAllSamples(i,3));
    abrrateM2(i,1)=cell2mat(AbrasionRateResultsAllSamples(i,4));
    StdM2(i,1)=cell2mat(AbrasionRateResultsAllSamples(i,5));
end

str = AbrasionRateResultsAllSamples(1:3:end,1);

MeanM1 = [mean(abrrateM1(1:3,1)) ; mean(abrrateM1(4:6))  ; mean(abrrateM1(7:9)) ; mean(abrrateM1(10:12)) ; mean(abrrateM1(13:15))];
MeanM2 = [mean(abrrateM2(1:3,1)) ; mean(abrrateM2(4:6))  ; mean(abrrateM2(7:9)) ; mean(abrrateM2(10:12)) ; mean(abrrateM2(13:15))];
maxM1 = [max(abrrateM1(1:3,1)) ; max(abrrateM1(4:6))  ; max(abrrateM1(7:9)) ; max(abrrateM1(10:12)) ; max(abrrateM1(13:15))];
maxM2 = [max(abrrateM2(1:3,1)) ; max(abrrateM2(4:6))  ; max(abrrateM2(7:9)) ; max(abrrateM2(10:12)) ; max(abrrateM2(13:15))];
minM1 = [min(abrrateM1(1:3,1)) ; min(abrrateM1(4:6))  ; min(abrrateM1(7:9)) ; min(abrrateM1(10:12)) ; min(abrrateM1(13:15))];
minM2 = [min(abrrateM2(1:3,1)) ; min(abrrateM2(4:6))  ; min(abrrateM2(7:9)) ; min(abrrateM2(10:12)) ; min(abrrateM2(13:15))];

M1_hold = [ MeanM1, maxM1, minM1];
M2_hold = [ MeanM2, maxM2, minM2];

M1sort = num2cell(M1_hold)
M1sort(:,4) = str

M2sort = num2cell(M2_hold)
M2sort(:,4) = str

M1 = sortrows(M1sort,-1);
strM1 = M1(:,4);

M2 = sortrows(M2sort,-1);
strM2 = M2(:,4);

figure('name','Abrasion Rate different Ice Samples Method 1','position',[360 278 1060 620])
set(gcf,'Color',[1 1 1])
plot(cell2mat(M1(:,2)),'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',11);
hold on
plot(cell2mat(M1(:,3)),'LineStyle','none','Marker','s','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
hold on
plot(cell2mat(M1(:,1)),'LineStyle','none','Marker','d','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Ice Sample Procedure','FontSize',25)
title('Abrasion Spread for different Types of Ice Quality with Method 1','FontSize',25)
set(gca, 'XTickLabel',strM1, 'XTick',1:numel(strM1),'YTick',-0.04:0.02:0.12,'YTickLabel',-0.04:0.02:0.12,'FontSize',20)
legend('Max Abrasion Rate', 'Min Abrasion Rate','Mean Abrasion Rate')
xlim([0.5 numel(str)+0.5])
pos = get(legend,'Position');
strcond = {'Contact pressure: 1 MPa', 'Sliding velocity: 16 cm/s'};
hb = annotation('textbox','String', strcond);
set(hb,'LineStyle','none','Position',[pos(1)-.02 pos(2)-pos(4), .5, .1],'FontSize',20)
ylim([-0.02 0.12])

cd ../export_fig

export_fig( gcf, ...      % figure handle
    '/Users/nicolaigreaker/Documents/NTNU/Masteroppgave/Masterthesis/img/AbrasionResults/Graphic/M1',... % name of output file without extension
    '-painters', ...      % renderer
    '-pdf', ...           % file format
    '-r300' );             % resolution in dpi
cd ../AbrasionTestResults

%% Method 2

figure('name','Abrasion Rate different Ice Samples Method 2','position',[360 278 1060 620])
set(gcf,'Color',[1 1 1])
plot(cell2mat(M2(:,2)),'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',11);
hold on
plot(cell2mat(M2(:,3)),'LineStyle','none','Marker','s','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
hold on
plot(cell2mat(M2(:,1)),'LineStyle','none','Marker','d','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Ice Sample Procedure','FontSize',25)
title('Abrasion Spread for different Types of Ice Quality with Method 2','FontSize',25)
set(gca, 'XTickLabel',strM2, 'XTick',1:numel(strM2),'YTick',-0.04:0.02:0.12,'YTickLabel',-0.04:0.02:0.12,'FontSize',20)
%set(gca,'YGrid', 'on');
legend('Max Abrasion Rate', 'Min Abrasion Rate','Mean Abrasion Rate')
%ylim([0.015 0.11])
xlim([0.5 numel(strM2)+0.5])
pos = get(legend,'Position');
strcond = {'Contact pressure: 1 MPa', 'Sliding velocity: 16 cm/s'};
hb = annotation('textbox','String', strcond);
set(hb,'LineStyle','none','Position',[pos(1)-.02 pos(2)-pos(4), .5, .1],'FontSize',20)
ylim([-0.02 0.12])

cd ../export_fig

export_fig( gcf, ...      % figure handle
    '/Users/nicolaigreaker/Documents/NTNU/Masteroppgave/Masterthesis/img/AbrasionResults/Graphic/M2',... % name of output file without extension
    '-painters', ...      % renderer
    '-pdf', ...           % file format
    '-r300' );             % resolution in dpi
cd ../AbrasionTestResults

%% Joined

figure('name','Abrasion Rate different Ice Samples Method 2','position',[360 278 1060 620])
set(gcf,'Color',[1 1 1])
% plot(M1_hold(:,2),'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',7);
% hold on
% plot(M1_hold(:,3),'LineStyle','none','Marker','o','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',7)
% hold on
plot(M1_hold(:,1),'LineStyle','none','Marker','d','MarkerFaceColor','r','MarkerEdgeColor','r','MarkerSize',11)
hold on
% plot(M2_hold(:,2),'LineStyle','none','Marker','*','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',8);
% hold on
% plot(M2_hold(:,3),'LineStyle','none','Marker','*','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',8)
% hold on
plot(M2_hold(:,1),'LineStyle','none','Marker','d','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Ice Sample Procedure','FontSize',25)
title('Comparison of Mean Abrasion rate M1 and M2','FontSize',25)
set(gca, 'XTickLabel',str, 'XTick',1:numel(str),'YTickLabel',-0.04:0.02:0.12,'YTick',-0.04:0.02:0.12,'FontSize',20)
legend('Mean Abrasion Rate M1','Mean Abrasion Rate M2','Location','NorthWest')
ylim([-0.02 0.12])
xlim([0.5 numel(str)+0.5])
% pos = get(legend,'Position');
% strcond = {'Contact pressure: 1 MPa', 'Sliding velocity: 16 cm/s'};
% hb = annotation('textbox','String', strcond);
% set(hb,'LineStyle','none','Position',[pos(1)-.02 pos(2)-pos(4), .5, .1],'FontSize',12)

cd ../export_fig

export_fig( gcf, ...      % figure handle
    '/Users/nicolaigreaker/Documents/NTNU/Masteroppgave/Masterthesis/img/AbrasionResults/Graphic/M1_M2',... % name of output file without extension
    '-painters', ...      % renderer
    '-pdf', ...           % file format
    '-r300' );             % resolution in dpi
cd ../AbrasionTestResults

%% Correlation M1 & M2

p = polyfit(abrrateM1(:,1),abrrateM2(:,1),1);
line = p(1).*abrrateM1(:,1)+p(2);
figure('name','Correlation M1 & M2','position',[360 278 1060 620])
set(gcf,'Color',[1 1 1])
set(gca,'FontSize',20)
plot(abrrateM1(:,1),abrrateM2(:,1),'LineStyle','none','Marker','o','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
hold on
plot(abrrateM1(:,1),line,'k','LineWidth',2)
title('Correlation between M1 & M2 ','FontSize',25)
ylabel('Mean Abrasion Rate M2 [mm/ km]','FontSize',25)
xlabel('Mean Abrasion Rate M1 [mm/ km]','FontSize',25)

cd ../export_fig

export_fig( gcf, ...      % figure handle
    '/Users/nicolaigreaker/Documents/NTNU/Masteroppgave/Masterthesis/img/AbrasionResults/Graphic/correlation',... % name of output file without extension
    '-painters', ...      % renderer
    '-pdf', ...           % file format
    '-r300' );             % resolution in dpi
cd ../AbrasionTestResults