clc
clear all
close all

load('aveabr161.mat')

sort161 = sortrows(aveabr161,-2);

for i=1:length(sort161(:,1));
    ave161(i,1)=cell2mat(sort161(i,2));
    ave161(i,2)=cell2mat(sort161(i,3));
    max(i)=cell2mat(sort161(i,4));
    min(i)=cell2mat(sort161(i,5));
    str161(i)=sort161(i,1);
end

figure('name','Abrasion 1MPa, 16 cm/s','position',[360 278 1260 620])
set(gcf,'Color',[1 1 1])
plot(max,'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',11);
hold on
plot(min,'LineStyle','none','Marker','s','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
hold on
plot(ave161(:,1),'LineStyle','none','Marker','d','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Concrete type','FontSize',25)
title('Abrasion Spread for different Types of Concrete','FontSize',25)
set(gca, 'XTickLabel',str161, 'XTick',1:numel(str161),'YTick',0:0.01:0.11,'FontSize',20)

legend('Max Abrasion Rate', 'Min Abrasion Rate','Mean Abrasion Rate')
ylim([0 0.11])
xlim([0.5 numel(str161)+0.5])
pos = get(legend,'Position');
str = {'Contact pressure: 1 MPa', 'Sliding velocity: 16 cm/s'};
hb = annotation('textbox','String', str);
set(hb,'LineStyle','none','Position',[pos(1)-.02-.02 pos(2)-pos(4), .5, .1],'FontSize',20)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Average Abrasion for 1MPa Contact Pressure and 25cm/s sliding velocity
%Max and min values

load('aveabr251.mat')

sort251 = sortrows(aveabr251,-2);

for i=1:length(sort251(:,1));
    ave251(i,1)=cell2mat(sort251(i,2));
    ave251(i,2)=cell2mat(sort251(i,3));
    max25(i)=cell2mat(sort251(i,4));
    min25(i)=cell2mat(sort251(i,5));
    str25(i)=sort251(i,1);
end

figure('name','Abrasion 1MPa, 25 cm/s','position',[360 278 1260 620])
set(gcf,'Color',[1 1 1])
plot(max25,'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',11)
hold on
plot(min25,'LineStyle','none','Marker','s','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
hold on
plot(ave251(:,1),'LineStyle','none','Marker','d','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Concrete type','FontSize',25)
title('Abrasion Spread for different Types of Concrete','FontSize',25)

set(gca, 'XTickLabel',str25, 'XTick',1:numel(str25),'YTick',0:0.01:0.11,'FontSize',20)

legend('Max Abrasion Rate', 'Min Abrasion Rate','Mean Abrasion Rate')
ylim([0 0.11])
xlim([0.5 numel(str25)+0.5])
pos = get(legend,'Position');
str = {'Contact pressure: 1 MPa', 'Sliding velocity: 25 cm/s'};
hb = annotation('textbox','String', str);
set(hb,'LineStyle','none','Position',[pos(1)-.02 pos(2)-pos(4), .5, .1],'FontSize',20)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Average Abrasion for 0.5MPa Contact Pressure and 16cm/s sliding velocity
%Max and min values

load('aveabr1605.mat')

sort1605 = sortrows(aveabr1605,-2);

for i=1:length(sort1605(:,1));
    ave1605(i,1)=cell2mat(sort1605(i,2));
    ave1605(i,2)=cell2mat(sort1605(i,3));
    max1605(i)=cell2mat(sort1605(i,4));
    min1605(i)=cell2mat(sort1605(i,5));
    str1605(i)=sort1605(i,1);
end

figure('name','Abrasion 0.5MPa, 16 cm/s','position',[360 278 1260 620])
set(gcf,'Color',[1 1 1])
plot(max1605,'LineStyle','none','Marker','o','MarkerFaceColor','red','MarkerEdgeColor','red','MarkerSize',11)
hold on
plot(min1605,'LineStyle','none','Marker','s','MarkerFaceColor','b','MarkerEdgeColor','b','MarkerSize',11)
hold on
plot(ave1605(:,1),'LineStyle','none','Marker','d','MarkerFaceColor','k','MarkerEdgeColor','k','MarkerSize',11)
ylabel('Mean Abrasion Rate [mm/ km]','FontSize',25)
xlabel('Concrete type','FontSize',25)
title('Abrasion Spread for different Types of Concrete','FontSize',25)

set(gca, 'XTickLabel',str1605, 'XTick',1:numel(str1605),'YTick',0:0.01:0.11,'FontSize',20)

legend('Max Abrasion Rate', 'Min Abrasion Rate','Mean Abrasion Rate')
ylim([0 0.11])
xlim([0.5 numel(str1605)+0.5])
pos = get(legend,'Position');
str = {'Contact pressure: 0.5 MPa', 'Sliding velocity: 16 cm/s'};
hb = annotation('textbox','String', str);
set(hb,'LineStyle','none','Position',[pos(1)-.02 pos(2)-pos(4), .5, .1],'FontSize',20)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Abrasion rate vs. Difference between sample 1 & 2. 

%1 = Concrete type 2 = average abrasion rate 6 = Difference after 2500m  
% 7 = difference 1250m 8 = mean 0-1,25 9 = mean 0-2,5 10 = mean 1,25-2,5  
% 11 = Rel diff. 1,25 - 2,5
merge1605_cell = sortrows([sort1605(:,1) sort1605(:,2) sort1605(:,6) sort1605(:,7) sort1605(:,8) sort1605(:,9) sort1605(:,10) sort1605(:,11)],4);
merge25_cell = sortrows([sort251(:,1) sort251(:,2) sort251(:,6) sort251(:,7) sort251(:,8) sort251(:,9) sort251(:,10) sort251(:,11)],4);
merge161_cell = sortrows([aveabr161(2:end,1) aveabr161(2:end,2) aveabr161(2:end,6) aveabr161(2:end,7) aveabr161(2:end,8) aveabr161(2:end,9) aveabr161(2:end,10) aveabr161(2:end,11)],4);

merge1605 = cell2mat(merge1605_cell(:,2:end));
merge25 = cell2mat(merge25_cell(:,2:end));
merge161 = cell2mat(merge161_cell(:,2:end));
str = [merge161_cell(:,1); merge25_cell(:,1); merge1605_cell(:,1)];
addstr = {' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';' 16 cm/s 1 MPa';...
            ' 25 cm/s 1 MPa';' 25 cm/s 1 MPa';' 25 cm/s 1 MPa';' 25 cm/s 1 MPa';' 25 cm/s 1 MPa';...
            ' 16 cm/s 0.5 MPa';' 16 cm/s 0.5 MPa';' 16 cm/s 0.5 MPa';' 16 cm/s 0.5 MPa';' 16 cm/s 0.5 MPa';};

fullstr = strcat(str,addstr);
cc=lines(8);

%0 - 2500 
figure('name','Abrrate vs. diff. 2500','position',[360 278 1260 1060])
hold on
set(gcf,'Color',[1 1 1])
for i=1:length(merge161(:,1))
        plot(merge161(i,5),merge161(i,2)./merge161(i,5),'x','color',cc(i,:),'MarkerSize',30)
end
        for j = 1:length(merge25(:,1))
        plot(merge25(j,5),merge25(j,2)./merge25(j,5),'.','color',cc(j,:),'MarkerSize',30)
        end
        
            for k = 1:length(merge1605(:,1))
            plot(merge1605(k,5),merge1605(k,2)./merge1605(k,5),'*','color',cc(k,:),'MarkerSize',30)
            end
hold off
grid on
xlabel('Mean Abrasion Rate two parallel Samples, [mm/ km]','FontSize',25)
ylabel('Relative Difference  two parallel Samples, |S1-S2|/ mean','FontSize',25)
title('0-2500 m Effective Sliding Distance','FontSize',25)
legend(fullstr,'Location','NorthEastOutside')
set(gca,'FontSize',20)
pos = get(legend,'Position');
str = {'B70 and Rockbond 25 cm/s 1 MPa ','have position: x = 0.024 y = 0'};
hb = annotation('textbox','String', str);
set(hb,'LineStyle','none','Position',[pos(1) pos(2)-0.4, .5, .1],'FontSize',20)

%0 - 1250 meter

figure('name','Abrrate vs. diff. 1250','position',[360 278 1260 1060])
hold on
set(gcf,'Color',[1 1 1])
for i=1:length(merge161(:,1))
        plot(merge161(i,4),merge161(i,3)./merge161(i,4),'x','color',cc(i,:),'MarkerSize',30)
end
        for j = 1:length(merge25(:,1))
        plot(merge25(j,4),merge25(j,3)./merge25(j,4),'.','color',cc(j,:),'MarkerSize',30)
        end
        
            for k = 1:length(merge1605(:,1))
            plot(merge1605(k,4),merge1605(k,3)./merge1605(k,4),'*','color',cc(k,:),'MarkerSize',30)
            end
hold off
grid on
xlabel('Mean Abrasion Rate two parallel Samples, [mm/ km]','FontSize',25)
ylabel('Relative Difference  two parallel Samples, |S1-S2|/ mean','FontSize',25)
title('0-1250 m Effective Sliding Distance','FontSize',25)
legend(fullstr,'Location','NorthEastOutside')
set(gca,'FontSize',20)


%1250 - 2500 meter

figure('name','Abrrate vs. diff. 1250-2500','position',[360 278 1260 1060])
hold on
set(gcf,'Color',[1 1 1])
for i=1:length(merge161(:,1))
        plot(merge161(i,6),merge161(i,7),'x','color',cc(i,:),'MarkerSize',30)
end
        for j = 1:length(merge25(:,1))
        plot(merge25(j,6),merge25(j,7),'.','color',cc(j,:),'MarkerSize',30)
        end
        
            for k = 1:length(merge1605(:,1))
            plot(merge1605(k,6),merge1605(k,7),'*','color',cc(k,:),'MarkerSize',30)
            end
hold off
grid on
xlabel('Mean Abrasion Rate two parallel Samples, [mm/ km]','FontSize',25)
ylabel('Relative Difference  two parallel Samples, |S1-S2|/ mean','FontSize',25)
title('1250 - 2500 m Effective Sliding Distance','FontSize',25)
legend(fullstr,'Location','NorthEastOutside')

set(gca,'FontSize',20)
str = {'Densit 16 cm/s 0.5 MPa off grid','Position: x = -0.029 y = 2.229'};
hb = annotation('textbox','String', str);
set(hb,'LineStyle','none','Position',[pos(1) pos(2)-0.4, .5, .1],'FontSize',20)
axis([0.01 0.09 0 0.4])
